package com.mexico.inloancash.activity;

import android.content.ClipboardManager;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;
import butterknife.ButterKnife;
import com.facebook.places.model.PlaceFields;
import com.indiaholacash.holacash.R;
import ῲ.ᨨ.㳳.C1841;

public class IndiaCommon_SettingActivity extends BaseActivity {
    public ImageView gonBack;
    public TextView mIndiaTv_Email;
    public TextView set_whatch_app;
    public TextView title;

    @Override // androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, com.mexico.inloancash.activity.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.india_activity_set_view_layout);
        ButterKnife.m1066(this);
        this.title.setText("Hubungi kami");
        this.mIndiaTv_Email.setText(C1841.m4788(PlaceFields.PHONE, ""));
        this.set_whatch_app.setText(C1841.m4788("email", ""));
    }

    @Override // androidx.appcompat.app.AppCompatActivity
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 4) {
            finish();
        }
        return super.onKeyDown(i, keyEvent);
    }

    public void onViewClicked(View view) {
        ClipboardManager clipboardManager = (ClipboardManager) getSystemService("clipboard");
        int id = view.getId();
        if (id == R.id.email_copy) {
            Toast.makeText(this, "Copia correcta", 0).show();
            clipboardManager.setText(this.mIndiaTv_Email.getText().toString());
        } else if (id == R.id.logon_back) {
            finish();
        } else if (id == R.id.watch_app_copy) {
            Toast.makeText(this, "Copia correcta", 0).show();
            clipboardManager.setText(this.set_whatch_app.getText().toString());
        }
    }
}
